# 应用服务配置
server:
  port: 3040

# 日志
logger:
  fileDir: "C:/usr/local/omc/log"
  level: 0 # 输出最低等级

# 静态文件配置, 相对项目根路径或填绝对路径
staticFile:
  default:
    dir: "C:/usr/local/omc/static"
  # 文件上传资源目录映射，与项目目录同级
  upload:
    dir: "C:/usr/local/omc/upload"

# security 安全
security:
  csrf:
    refererWhiteList:
      - "localhost:3131"
      - "127.0.0.1:3131"

# GORM 数据源
gorm:
  dataSource:
    default:
      type: "mysql"
      host: "192.168.0.229"
      port: 33066
      username: "root"
      password: "1000omc@kp!"
      database: "omc_db_dev"
      logging: true

# Redis 缓存数据，数据源声明全小写
redis:
  dataSource:
    # OMC系统使用库
    default:
      port: 6379 # Redis port
      host: "192.168.0.229" # Redis host
      password: ""
      db: 10 # Redis db_num
    # UDM网元用户库
    udmuser:
      port: 6379 # Redis port
      host: "192.168.0.229"
      password: ""
      db: 0 # Redis db_num
  # 多个数据源时可以用这个指定默认的数据源
  defaultDataSourceName: "default"
